Bug 831012 - SELinux Policy prevents automount from mounting.
SELinux Policy prevents automount from mounting.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 20:31 EDT by Kevin
Modified: 2012-10-17 04:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:56:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin 2012-06-11 20:31:35 EDT
Description of problem:

SELinux policy appears to prevent automount from mounting.

Version-Release number of selected component (if applicable):

selinux-policy-3.10.0-128.fc17.noarch

How reproducible:

100%.
    
Steps to Reproduce:
1.  Edit /etc/hosts.allow, /etc/hosts.deny, /etc/hosts, /etc/exports to allow NFS and autofs to mount.
2.  Try listing 'ls /net/some_host_name/'
3.  Observe an SELinux warning and open it.

Actual results:

The SELinux warning says:

The source process: /usr/bin/automount
Attempted this access: read
On this file: /etc/hosts

Expected results:

I expect the above 'ls' command to produce a directory listing for valid hosts that have exported filesystems.

Additional info:

Disabling SELinux in /etc/selinux/config allows automount to work.  I checked for updates just now, and my system is up to date.  It looks like Red Hat Bugzilla Bug ID 197089 from 2006 is quite a bit like this one.

Thanks....
Comment 1 Miroslav Grepl 2012-06-12 07:48:45 EDT
You can switch to permissive mode using

# setenforce 0

then re-test it and execute

# auseearch -m avc -ts recent

which will show us AVC msgs which we need to see.

Note You need to log in before you can comment on or make changes to this bug.